Skills
Update a skill
Modifies the specified skill's configuration.
路径参数
name
string
必需
The name of the skill to update.
标头参数
Foundry-Features
enum
必需
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
查询参数
api-version
string
必需
The API version to use for this operation.
请求正文
default_version
string
必需
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
响应
The request has succeeded.
正文
id
string
必需
The unique identifier of the skill.
name
string
必需
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
必需
A human-readable description of the skill.
default_version
string
必需
The default version for the skill. Can be changed via updateSkill.
latest_version
string
必需
The latest version for the skill.
请求
POST /skills/{name} HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json